<AnimatedContainer>
  {{#animated-if @selectedDaytime use=this.transition}}
    {{#animated-if @selectedTime use=this.transition}}
      <h3 class="text-bold font-black pt-4 pb-2">
        Selected time:
      </h3>
      <button
        class="bg-purple-500 text-white font-bold py-2 px-6 rounded-full"
        type="button"
        {{on "click" (fn @selectTime null)}}
      >
        {{moment-format @selectedTime.start "HH:mm"}}
        -
        {{moment-format @selectedTime.end "HH:mm"}}
        <FaIcon @icon="window-close" class="ml-2" />
      </button>
    {{else}}
      <h3 class="text-bold font-black pt-4 pb-2">
        Pick a time
      </h3>
      <ul class="w-full flex flex-wrap items-stretch">
        {{#each this.times as |time|}}
          <li class="px-1 py-1 lg:px-4 lg:py-4 w-full lg:w-1/6">
            <button
              type="button"
              class="hover:border-orange-300 hover:shadow border-purple-200 border-2 flex-vertical justify-center pt-4 pb-4 w-full"
              {{on "click" (fn @selectTime time)}}
            >
              <p class="lg:text-2xl font-hairline text-center">
                {{moment-format time.start "h:mm"}}
                -
                {{moment-format time.end "h:mm"}}
              </p>
            </button>
          </li>
        {{/each}}
      </ul>
    {{/animated-if}}
  {{/animated-if}}
</AnimatedContainer>